package com.elab.spring.design.group.test.group;

import com.elab.spring.design.group.GroupAdaptor;
import com.elab.spring.design.group.test.GroupConstant;
import org.springframework.stereotype.Component;

@Component
public class AGroup extends GroupAdaptor<String, Integer> {

    @Override
    public String groupName() {
        return GroupConstant.TEST;
    }

    @Override
    public String unionKey() {
        return "A";
    }

    @Override
    public Integer invoke(String req) {
        System.out.println(this.getClass().getSimpleName() + "执行完了 : " + req);
        return 1;
    }
}
